The Process Period Closing Voucher Detail object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
processing_date string
status string

Default: Queued

closing_balance JSON object
report_type string

Default: Profit and Loss

The Process Period Closing Voucher Detail object
{
  "id": "process-period-closing-voucher-detail_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "processing_date": "2024-01-15",
  "status": "Queued",
  "closing_balance": {},
  "report_type": "Profit and Loss"
}
GET /api/accounts/process-period-closing-voucher-detail?parent_id={id}

List process period closing voucher details by parent

Returns all process period closing voucher details belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of process period closing voucher detail objects belonging to the parent.

GET /api/accounts/process-period-closing-voucher-detail?parent_id={id}
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher-detail?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "process-period-closing-voucher-detail_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "processing_date": "2024-01-15",
      "status": "Queued",
      "closing_balance": {},
      "report_type": "Profit and Loss"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/process-period-closing-voucher-detail

Create a process period closing voucher detail

Creates a new process period closing voucher detail object.

Body parameters

idx integer
parent_id string required
parent_type string required
processing_date string
status string

Default: Queued

closing_balance JSON object
report_type string

Default: Profit and Loss

Returns

Returns the newly created process period closing voucher detail object if the call succeeded.

POST /api/accounts/process-period-closing-voucher-detail
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher-detail \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example"}'
Response
{
  "id": "process-period-closing-voucher-detail_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "processing_date": "2024-01-15",
  "status": "Queued",
  "closing_balance": {},
  "report_type": "Profit and Loss"
}
PATCH /api/accounts/process-period-closing-voucher-detail/{id}

Update a process period closing voucher detail

Updates the specified process period closing voucher detail by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the process period closing voucher detail to update.

Body parameters

idx integer
parent_id string
parent_type string
processing_date string
status string

Default: Queued

closing_balance JSON object
report_type string

Default: Profit and Loss

Returns

Returns the updated process period closing voucher detail object.

PATCH /api/accounts/process-period-closing-voucher-detail/{id}
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher-detail/process-period-closing-voucher-detail_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "process-period-closing-voucher-detail_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "processing_date": "2024-01-15",
  "status": "Queued",
  "closing_balance": {},
  "report_type": "Profit and Loss"
}
DELETE /api/accounts/process-period-closing-voucher-detail/{id}

Delete a process period closing voucher detail

Permanently deletes a process period closing voucher detail. This cannot be undone.

Path parameters

id string required

The identifier of the process period closing voucher detail to delete.

Returns

Returns a confirmation that the process period closing voucher detail has been deleted.

DELETE /api/accounts/process-period-closing-voucher-detail/{id}
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher-detail/process-period-closing-voucher-detail_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "process-period-closing-voucher-detail_abc123",
  "deleted": true
}
POST /api/accounts/process-period-closing-voucher-detail/reorder

Reorder process period closing voucher details

Updates the sort order of process period closing voucher details within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/accounts/process-period-closing-voucher-detail/reorder
curl https://api.overplane.dev/api/accounts/process-period-closing-voucher-detail/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "process-period-closing-voucher-detail_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "processing_date": "2024-01-15",
  "status": "Queued",
  "closing_balance": {},
  "report_type": "Profit and Loss"
}